public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pygobject/
Date: Tue, 15 Aug 2017 22:44:26 +0000 (UTC)	[thread overview]
Message-ID: <1502837004.84bc4d8d364b541527457b6ba1d93aa8c72b2e6b.eva@gentoo> (raw)

commit:     84bc4d8d364b541527457b6ba1d93aa8c72b2e6b
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 21:46:54 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Aug 15 22:43:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84bc4d8d

dev-python/pygobject: version bump 3.22.0 → 3.24.1

Package-Manager: Portage-2.3.7, Repoman-2.3.3

 dev-python/pygobject/Manifest                |   1 +
 dev-python/pygobject/pygobject-3.24.1.ebuild | 105 +++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/dev-python/pygobject/Manifest b/dev-python/pygobject/Manifest
index 87f2bf21b92..3ff5332b5a5 100644
--- a/dev-python/pygobject/Manifest
+++ b/dev-python/pygobject/Manifest
@@ -1,2 +1,3 @@
 DIST pygobject-2.28.6.tar.xz 747248 SHA256 fb8a1d4f665130a125011659bd347c7339c944232163dbb9a34fd0686577adb8 SHA512 37544ea2377258758169b25a2969d5ee1c9ffb9b6e63e05bc7a0471a49ac9169c51ec587d4489172c7d256f53df878a81c1992a08059aa7e43dbbb69f799545c WHIRLPOOL 402f764d6ca73f238784738a1e09832858fd95af5a633e825412e9e6a21e89ab6b2090d3995902ed404fc4fde445cf970c76fcd93f8f64cf9def742452776c00
 DIST pygobject-3.22.0.tar.xz 756820 SHA256 08b29cfb08efc80f7a8630a2734dec65a99c1b59f1e5771c671d2e4ed8a5cbe7 SHA512 1f6f0ea8014b35d7828a6bebc0fe2cf6519016ca5ad3819dc6b7879154d8e27fdd2971620955c8fc4904625814833c8bc8ec0599152720649864262d3b6e33e4 WHIRLPOOL c285669e4d07a9b0cf79ba06528d3809d0c2807b2345dc6eeec011ed351cd45155119b2691cd10a498fb76d67486026e997d93c80b3a7ea60176e053d4452374
+DIST pygobject-3.24.1.tar.xz 758648 SHA256 a628a95aa0909e13fb08230b1b98fc48adef10b220932f76d62f6821b3fdbffd SHA512 f35968ab12b872c85af6b2410cadedcf9fa7e17352a40f3dc557c86203aa1c38753710aab9ce55e986ee2c98b64e14123c65083655445e993d0b53431db6dc93 WHIRLPOOL 998293b07796b4a5b7db475428f6aea46dbac93fc31e5b210307c1b68390341f92121741cec714dc3e7bc2f460dd1248d7eb37775baef51be9e6b9078ea3b332

diff --git a/dev-python/pygobject/pygobject-3.24.1.ebuild b/dev-python/pygobject/pygobject-3.24.1.ebuild
new file mode 100644
index 00000000000..a6b538b28f5
--- /dev/null
+++ b/dev-python/pygobject/pygobject-3.24.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit eutils gnome2 python-r1 virtualx
+
+DESCRIPTION="GLib's GObject library bindings for Python"
+HOMEPAGE="https://wiki.gnome.org/Projects/PyGObject"
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cairo examples test +threads"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	test? ( cairo )
+"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+	>=dev-libs/glib-2.38:2
+	>=dev-libs/gobject-introspection-1.46.0:=
+	virtual/libffi:=
+	cairo? (
+		>=dev-python/pycairo-1.10.0[${PYTHON_USEDEP}]
+		x11-libs/cairo )
+"
+DEPEND="${COMMON_DEPEND}
+	virtual/pkgconfig
+	cairo? ( x11-libs/cairo[glib] )
+	test? (
+		dev-libs/atk[introspection]
+		media-fonts/font-cursor-misc
+		media-fonts/font-misc-misc
+		x11-libs/cairo[glib]
+		x11-libs/gdk-pixbuf:2[introspection]
+		x11-libs/gtk+:3[introspection]
+		x11-libs/pango[introspection]
+		python_targets_python2_7? ( dev-python/pyflakes[$(python_gen_usedep python2_7)] ) )
+"
+# gnome-base/gnome-common required by eautoreconf
+
+# We now disable introspection support in slot 2 per upstream recommendation
+# (see https://bugzilla.gnome.org/show_bug.cgi?id=642048#c9); however,
+# older versions of slot 2 installed their own site-packages/gi, and
+# slot 3 will collide with them.
+RDEPEND="${COMMON_DEPEND}
+	!<dev-python/pygtk-2.13
+	!<dev-python/pygobject-2.28.6-r50:2[introspection]
+"
+
+src_prepare() {
+	# Test fail with xvfb but not X
+	sed -e 's/^.*TEST_NAMES=compat_test_pygtk .*;/echo "Test disabled";/' \
+		-i tests/Makefile.{am,in} || die
+
+	gnome2_src_prepare
+	python_copy_sources
+}
+
+src_configure() {
+	# Hard-enable libffi support since both gobject-introspection and
+	# glib-2.29.x rdepend on it anyway
+	# docs disabled by upstream default since they are very out of date
+	configuring() {
+		gnome2_src_configure \
+			$(use_enable cairo) \
+			$(use_enable threads thread)
+
+		# Pyflakes tests work only in python2, bug #516744
+		if use test && [[ ${EPYTHON} != python2.7 ]]; then
+			sed -e 's/if type pyflakes/if false/' \
+				-i Makefile || die "sed failed"
+		fi
+	}
+
+	python_foreach_impl run_in_build_dir configuring
+}
+
+src_compile() {
+	python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_test() {
+	export GIO_USE_VFS="local" # prevents odd issues with deleting ${T}/.gvfs
+	export GIO_USE_VOLUME_MONITOR="unix" # prevent udisks-related failures in chroots, bug #449484
+	export SKIP_PEP8="yes"
+
+	testing() {
+		export XDG_CACHE_HOME="${T}/${EPYTHON}"
+		run_in_build_dir virtx emake check
+		unset XDG_CACHE_HOME
+	}
+	python_foreach_impl testing
+	unset GIO_USE_VFS
+}
+
+src_install() {
+	python_foreach_impl run_in_build_dir gnome2_src_install
+
+	dodoc -r examples
+}


             reply	other threads:[~2017-08-15 22:44 UTC|newest]

Thread overview: 155+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-15 22:44 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-21 17:16 [gentoo-commits] repo/gentoo:master commit in: dev-python/pygobject/ Arthur Zamarin
2024-11-27 21:10 Pacho Ramos
2024-08-31  6:55 Michał Górny
2024-08-31  2:42 Ionen Wolkens
2024-08-31  2:42 Ionen Wolkens
2024-08-31  2:42 Ionen Wolkens
2024-07-22  8:48 Pacho Ramos
2024-07-22  8:48 Pacho Ramos
2024-07-17 12:12 Pacho Ramos
2024-07-17 12:12 Pacho Ramos
2024-06-29  8:21 Arthur Zamarin
2024-06-11 17:58 Sam James
2024-02-03 11:07 Sam James
2024-02-03 11:07 Sam James
2024-01-07 15:36 Sam James
2024-01-07 15:36 Sam James
2023-12-29 23:03 Mart Raudsepp
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:39 Arthur Zamarin
2023-12-24 11:10 Michał Górny
2023-09-10 15:58 Matt Turner
2023-06-03  6:48 Michał Górny
2023-04-28 15:58 Arthur Zamarin
2023-04-28 15:57 Arthur Zamarin
2023-04-28 15:18 Arthur Zamarin
2023-04-28 14:56 Arthur Zamarin
2023-04-28 14:56 Arthur Zamarin
2023-04-28 14:55 Arthur Zamarin
2023-04-28 14:44 Arthur Zamarin
2023-04-28 14:40 Arthur Zamarin
2023-04-28 14:38 Arthur Zamarin
2023-03-25  5:10 Arthur Zamarin
2023-03-24 19:06 Arthur Zamarin
2023-03-19 23:38 Matt Turner
2023-02-27 16:19 Michał Górny
2022-10-30  1:50 Matt Turner
2022-09-16 10:47 Arthur Zamarin
2022-09-06 21:52 Sam James
2022-09-06 21:35 Sam James
2022-09-06 21:15 Sam James
2022-09-06 21:12 Sam James
2022-09-06 18:48 Arthur Zamarin
2022-09-06 18:40 Arthur Zamarin
2022-09-06 18:33 Arthur Zamarin
2022-08-02  4:08 Michał Górny
2022-07-17  7:22 Michał Górny
2022-05-28  5:38 Sam James
2022-05-20 13:50 Andrew Ammerlaan
2022-05-17  8:37 WANG Xuerui
2022-05-05  5:27 Matt Turner
2021-10-29 18:32 Sam James
2021-10-29 12:34 Sam James
2021-10-27 22:41 Sam James
2021-10-27 17:54 Arthur Zamarin
2021-10-27  4:13 Sam James
2021-10-26  3:14 Sam James
2021-10-24 16:52 Agostino Sarubbo
2021-10-24  4:51 Sam James
2021-10-24  0:19 Sam James
2021-07-06  1:07 Matt Turner
2021-07-06  1:07 Matt Turner
2021-05-28 19:18 Sam James
2021-05-21 14:54 Yixun Lan
2021-05-14 21:39 Marek Szuba
2021-04-18  3:08 Matt Turner
2021-04-13 19:51 Matt Turner
2021-04-13 18:43 Sergei Trofimovich
2021-04-13 15:03 Sam James
2021-03-21  4:32 Matt Turner
2021-01-26 17:42 Sergei Trofimovich
2020-12-05 18:49 Matt Turner
2020-11-14  9:19 Mikle Kolyada
2020-10-11 21:01 Mart Raudsepp
2020-09-25 19:54 Michał Górny
2020-09-20 14:56 Michał Górny
2020-09-07 18:17 Sam James
2020-09-07  5:50 Sam James
2020-08-29 22:15 Sam James
2020-08-29 19:54 Sam James
2020-08-29 13:11 Sam James
2020-08-16  2:53 Sam James
2020-08-12 15:50 Sam James
2020-07-29 11:23 Mart Raudsepp
2020-07-29  4:49 Sam James
2020-07-19 17:58 Mart Raudsepp
2020-07-17  7:59 Sergei Trofimovich
2020-06-05 19:26 Michał Górny
2020-06-03 15:32 Agostino Sarubbo
2020-05-13 17:35 Sergei Trofimovich
2020-04-22 14:25 Agostino Sarubbo
2020-04-22  8:44 Agostino Sarubbo
2020-04-22  8:41 Agostino Sarubbo
2020-02-04 18:18 Mart Raudsepp
2020-02-03  2:55 Matt Turner
2020-01-11 19:40 Mart Raudsepp
2020-01-11 19:40 Mart Raudsepp
2019-12-01 19:30 Andreas Sturmlechner
2019-10-09  8:27 Agostino Sarubbo
2019-07-28 17:41 Mart Raudsepp
2019-07-25  0:25 Aaron Bauman
2019-07-23  1:45 Aaron Bauman
2019-07-22 21:24 Sergei Trofimovich
2019-05-15  4:48 Aaron Bauman
2019-05-10 17:33 Mikle Kolyada
2019-04-20 15:08 Mart Raudsepp
2019-03-30 21:56 Mart Raudsepp
2019-03-11 16:16 Mart Raudsepp
2019-03-11 16:16 Mart Raudsepp
2019-01-05 17:19 Mikle Kolyada
2018-12-29 16:00 Sergei Trofimovich
2018-12-28  3:46 Matt Turner
2018-12-07 20:07 Sergei Trofimovich
2018-12-06 18:18 Mart Raudsepp
2018-12-06 18:18 Mart Raudsepp
2018-12-05  7:34 Mikle Kolyada
2018-12-05  7:07 Mikle Kolyada
2018-12-04 16:27 Mikle Kolyada
2018-12-01 14:51 Sergei Trofimovich
2018-11-27 22:40 Mart Raudsepp
2018-09-18 20:21 Mart Raudsepp
2018-07-21 17:16 Mikle Kolyada
2018-07-19 18:59 Michał Górny
2018-03-14 21:41 Sergei Trofimovich
2018-03-14 21:09 Markus Meier
2018-03-06 21:37 Tobias Klausmann
2018-03-04 22:11 Patrice Clement
2018-03-04 20:48 Sergei Trofimovich
2018-02-16 20:39 Sergei Trofimovich
2018-01-18  2:19 Mikle Kolyada
2017-08-15 22:44 Gilles Dartiguelongue
2017-07-07 21:20 Mart Raudsepp
2017-07-07 10:12 Agostino Sarubbo
2017-06-12 10:07 Mart Raudsepp
2017-04-22 17:53 Tobias Klausmann
2017-04-12 10:10 Jeroen Roovers
2017-03-29  7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-03-10 10:10 Zac Medico
2017-01-06 20:24 Mart Raudsepp
2016-12-06 20:24 Markus Meier
2016-11-01 23:58 Gilles Dartiguelongue
2016-06-07  7:03 Tobias Klausmann
2016-05-03 20:11 Markus Meier
2016-03-23 21:23 Stephen Klimaszewski
2016-03-20 23:09 Stephen Klimaszewski
2016-03-06 16:43 Mikle Kolyada
2015-11-14 18:40 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
2015-10-19 16:29 Justin Lecher
2015-10-03  8:31 Markus Meier
2015-09-20  6:11 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1502837004.84bc4d8d364b541527457b6ba1d93aa8c72b2e6b.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox